Subject: Re: [PATCH 0/2] Making "git commit" to mean "git commit -a".

From: Steven Grimm <[email-masked]>
Date: Wed, 29 Nov 2006 11:12:17 -0800

Jakub Narebski wrote:
> If "git commit -a" by default heresy ;-) was accepted, I'd rather it be via
> configuration option.
>   

So the newbie-friendly behavior should require learning how to edit a 
configuration file, and the expert-friendly behavior should be the one 
you get on your first out-of-the-box exposure to git?